
- NASM Map file ---------------------------------------------------------------

Source file:  history.asm
Output file:  ../../bin/history.eld

-- Program origin -------------------------------------------------------------

00000000

-- Sections (summary) ---------------------------------------------------------

Vstart            Start             Stop              Length    Class     Name
               0                 0                 0  00000000  progbits  .text
               0                 0                50  00000050  progbits  HEADER
            9001                50               A50  00000A00  progbits  CODE
            8000               A50               C00  000001B0  progbits  DATA
               0                 0                 0  00000000  nobits    relocatedzero
            8000              8000              8000  00000000  nobits    RELOCATEDDATA

-- Sections (detailed) --------------------------------------------------------

---- Section .text ------------------------------------------------------------

class:     progbits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section HEADER -----------------------------------------------------------

class:     progbits
length:                  50
start:                    0
align:                   10
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section CODE -------------------------------------------------------------

class:     progbits
length:                 A00
start:                   50
align:                   10
follows:   HEADER
vstart:                9001
valign:    not defined
vfollows:  not defined

---- Section DATA -------------------------------------------------------------

class:     progbits
length:                 1B0
start:                  A50
align:                   10
follows:   CODE
vstart:                8000
valign:    not defined
vfollows:  not defined

---- Section relocatedzero ----------------------------------------------------

class:     nobits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section RELOCATEDDATA ----------------------------------------------------

class:     nobits
length:                   0
start:                 8000
align:     not defined
follows:   not defined
vstart:                8000
valign:    not defined
vfollows:  not defined

-- Symbols --------------------------------------------------------------------

---- No Section ---------------------------------------------------------------

Value     Name
00000000  ELD_HEADER
00000000  eldhSignature
00000008  eldhCodeOffset
0000000C  eldhCodeImageLength
0000000E  eldhCodeAllocLength
00000010  eldhDataOffset
00000014  eldhDataImageLength
00000016  eldhDataAllocLength
00000018  eldhCodeEntrypoint
0000001A  eldhReserved
0000001E  eldhExtensionSize
00000020  ELD_HEADER_size
00000020  ELD_HEADER_size_b
00000010  ELD_HEADER_size_w
00000008  ELD_HEADER_size_d
00000004  ELD_HEADER_size_q
00000002  ELD_HEADER_size_p
00000001  ELD_HEADER_size_pg
00000001  ELD_HEADER_size_ki
00000000  ELD_HEADERX
00000000  eldhxHeader
00000020  eldhxDescriptionOffset
00000024  eldhxHelpOffset
00000028  eldhxLibTable
0000002C  eldhxDateTimeOffset
00000030  ELD_HEADERX_size
00000000  ELD_TRAILER_HEADER
00000000  eldthSignature
00000008  eldthHeaderOffset
0000000C  eldthReserved
0000000E  eldthChecksum
00000010  ELD_TRAILER_HEADER_size
00000010  ELD_TRAILER_HEADER_size_b
00000008  ELD_TRAILER_HEADER_size_w
00000004  ELD_TRAILER_HEADER_size_d
00000002  ELD_TRAILER_HEADER_size_q
00000001  ELD_TRAILER_HEADER_size_p
00000001  ELD_TRAILER_HEADER_size_pg
00000001  ELD_TRAILER_HEADER_size_ki
00000000  ELD_LIBTABLE
00000000  eldltFormat
00000002  eldltAmount
00000004  eldltOffset
00000008  eldltCompressedLength
00000008  ELD_LIBTABLE_size
00000008  ELD_LIBTABLE_size_b
00000004  ELD_LIBTABLE_size_w
00000002  ELD_LIBTABLE_size_d
00000001  ELD_LIBTABLE_size_q
00000001  ELD_LIBTABLE_size_p
00000001  ELD_LIBTABLE_size_pg
00000001  ELD_LIBTABLE_size_ki
00000000  ELD_INSTANCE
00000000  eldiStartCode
00000002  eldiEndCode
00000004  eldiStartData
00000006  eldiEndData
00000008  eldiIdentifier
00000010  eldiFlags
0000000E  eldiListing_size
00000012  eldiListing
00000020  ELD_INSTANCE_size
00000001  eldifResident
00000000  ELD_LINKINFO
00000000  eldlSignature
00000002  eldlReserved
00000006  eldlUseLinkHash
00000008  eldlDataAmount
0000000A  eldlDataPrefixes
0000000C  eldlDataEntries
0000000E  eldlDataAddresses
00000010  eldlCodeAmount
00000012  eldlCodePrefixes
00000014  eldlCodeEntries
00000016  eldlCodeAddresses
00000018  ELD_LINKINFO_size
00000050  CODEOFFSET
00000001  ..@149.num
000001E0  endinstalled
00000001  ..@304.num
00000A50  DATAOFFSET
000001B0  data_size
000001B0  transient_data_size
000000E0  resident_data_size
000001B0  total_data_size
00000001  ..@369.num
00000004  ..@378.num
00000290  endresident
00000000  LINKTABLE
00000000  ltCodeToCode
00000004  ltCodeToData
00000008  ltDataToCode
0000000C  ltDataToData
00000010  ltLinkData
00000014  ltLinkCode
00000018  LINKTABLE_size
00000000  linker._..@402.lframe_?frame_bp
FFFFFFFFFFFFFFFC  linker._..@402.lframe_?instance
FFFFFFFFFFFFFFFA  linker._..@402.lframe_?targetsection_low_optional_high
FFFFFFFFFFFFFFFA  linker._..@402.lframe_?targetsection
FFFFFFFFFFFFFFFB  linker._..@402.lframe_?optional
FFFFFFFFFFFFFFF6  linker._..@402.lframe_?linkinfo
FFFFFFFFFFFFFFF2  linker._..@402.lframe_?nextreloc
FFFFFFFFFFFFFFEE  linker._..@402.lframe_?entry
FFFFFFFFFFFFFFEC  linker._..@402.lframe_?use_hash_low_skip_last_high
FFFFFFFFFFFFFFEC  linker._..@402.lframe_?use_hash
FFFFFFFFFFFFFFED  linker._..@402.lframe_?skip_last
FFFFFFFFFFFFFFEA  linker._..@402.lframe_?pass
FFFFFFFFFFFFFFE8  linker._..@402.lframe_?amounterrors
FFFFFFFFFFFFFFE6  linker._..@402.lframe_?name
FFFFFFFFFFFFFFE4  linker._..@402.lframe_?optionalmissing
00000002  ..@488.num
00000008  ..@582.num
00000A00  code_size


---- Section HEADER -----------------------------------------------------------

Real              Virtual           Name
               0                 0  ..@53.strucstart
               0                 0  ..@56.strucstart
              28                28  header_extension_end
              30                30  description

---- Section CODE -------------------------------------------------------------

Real              Virtual           Name
              50              9001  code
              50              9001  ..@79.strucstart
              58              9009  ..@85.data
              70              9021  command
              72              9023  command.chain
              79              902A  ..@90.skipparameter
              7A              902B  command.entry
              82              9033  ..@.@@.1.0
              90              9041  command.ours
              B8              9069  ..@.@@.1.1
              BB              906C  clear
              C0              9071  uninstall
              D1              9082  ..@.@@.1.2
              E1              9092  uninstall.loop
              F2              90A3  uninstall.bx
              FC              90AD  uninstall.setbx
             8DA              988B  ..@144.name
             103              90B4  ..@.@@.1.3
             110              90C1  uninstall.bxnz
             121              90D2  uninstall.done
             129              90DA  ..@.@@.1.4
             131              90E2  uninstall.error
             13C              90ED  run_clear
             146              90F7  run_show
             15D              910E  run_show.putsz_end
             162              9113  ..@.@@.1.5
             174              9125  run_show.in_data_entry
             178              9129  run_show.in_separate
             197              9148  ..@.@@.1.6
             197              9148  run_show.not_entry
             197              9148  run_show.loop
             1AF              9160  run_show.not_seg
             1CC              917D  run_show.done
             1CC              917D  run_show.end
             1CD              917E  get_history_first_last
             1DB              918C  ..@.@@.1.7
             1DB              918C  history_missing
             1E8              9199  ..@.@@.1.8
             1F0              91A1  skipcomma
             1F7              91A8  ..@220.skipparameter
             1F8              91A9  isstring?
             1FF              91B0  ..@228.skipparameter
             200              91B1  chkeol
             207              91B8  ..@240.skipparameter
             208              91B9  cmd3
             20F              91C0  ..@248.skipparameter
             210              91C1  ispm
             217              91C8  ..@257.skipparameter
             218              91C9  putsz
             21F              91D0  ..@265.skipparameter
             220              91D1  setrc
             227              91D8  ..@274.skipparameter
             228              91D9  putsline_crlf
             22F              91E0  ..@285.skipparameter
             230              91E1  start
             25A              920B  ..@.@@.1.9
             260              9211  start.show
             265              9216  start.clear
             26A              921B  uninstall_oneshot
             28C              923D  ..@.@@.1.10
             28D              923E  install
             295              9246  ..@349.skipparameter
             824              97D5  ..@349.name
             966              9917  ..@356.name
             974              9925  ..@361.name
             8DA              988B  ..@364.name
             2C4              9275  install.only_first
             8DA              988B  ..@373.name
             95B              990C  ..@380.name
             2DD              928E  ..@.@@.1.11
             2E0              9291  linker
             2E3              9294  linker._..@402.lenter
             2F4              92A5  linker.error_j1
             2F7              92A8  ..@.@@.1.12
             300              92B1  ..@.@@.1.13
             30B              92BC  linker.pass
             316              92C7  ..@.@@.1.14
             326              92D7  ..@.@@.1.15
             331              92E2  ..@.@@.1.16
             342              92F3  ..@.@@.1.17
             34D              92FE  ..@.@@.1.18
             362              9313  ..@.@@.1.19
             36D              931E  ..@.@@.1.20
             380              9331  ..@.@@.1.21
             38C              933D  linker.otherloop
             38F              9340  linker.datarelocloop
             3A9              935A  ..@.@@.1.22
             3C2              9373  linker.datarelocfind
             3FE              93AF  linker.address_data_reloc
             409              93BA  ..@.@@.1.23
             40A              93BB  linker.datanotfound_may_be_optional
             422              93D3  linker.optionaldatamissingmsg
             95B              990C  ..@490.name
             437              93E8  ..@.@@.1.24
             440              93F1  linker.datanotfound
             44E              93FF  linker.error_j3
             451              9402  linker.codenotfound
             45F              9410  linker.notfound
             910              98C1  ..@501.name
             478              9429  ..@504.skipparameter
             490              9441  ..@.@@.1.25
             49C              944D  ..@513.skipparameter
             84B              97FC  ..@513.name
             4A6              9457  ..@517.skipparameter
             843              97F4  ..@517.name
             4A7              9458  linker.notfound.retn
             4A8              9459  linker.copy
             4AF              9460  ..@521.skipparameter
             4B0              9461  linker.build_match
             4CF              9480  ..@.@@.1.26
             4DA              948B  ..@.@@.1.27
             4DD              948E  ..@.@@.1.28
             4E9              949A  ..@.@@.1.29
             4EB              949C  linker.donedatareloc
             4FA              94AB  linker.coderelocloop
             51F              94D0  linker.coderelocfind
             574              9525  ..@.@@.1.30
             57E              952F  linker.error_j
             581              9532  ..@.@@.1.31
             590              9541  linker.donecodereloc
             5A9              955A  ..@.@@.1.32
             5A9              955A  linker.hint
             5B4              9565  ..@544.skipparameter
             5C1              9572  linker.loop_hint
             5C4              9575  ..@.@@.1.33
             5CD              957E  linker.end_hint
             5DB              958C  ..@557.skipparameter
             85B              980C  ..@557.name
             8D1              9882  ..@563.name
             5ED              959E  ..@566.skipparameter
             5ED              959E  linker.no_hint
             966              9917  ..@576.name
             60B              95BC  linker.error
             60E              95BF  linker._..@402.lleave
             612              95C3  plex_check
             626              95D7  ..@.@@.1.34
             62F              95E0  ..@594.skipparameter
             88B              983C  ..@594.name
             63F              95F0  ..@600.skipparameter
             646              95F7  plex_check.notfound
             647              95F8  plex_check.checkret
             648              95F9  linkercoderelocations
             688              9639  linkerlinkercoderelocations
             69C              964D  linktable
             69C              964D  ..@610.strucstart
             6B4              9665  linkerdatarelocations
             758              9709  internalcodetocoderelocations
             77A              972B  internalcodetodatarelocations
             79C              974D  internaldatatocoderelocations
             79E              974F  internaldatatodatarelocations
             7A0              9751  linkerlinkerdatarelocations
             7B4              9765  internallinkercodetocoderelocations
             7BE              976F  internallinkercodetodatarelocations
             7C0              9771  internallinkerdatatocoderelocations
             7C2              9773  internallinkerdatatodatarelocations
             7C4              9775  debuggeramissig
             7C4              9775  ..@640.data
             7CC              977D  ..@642.data
             7D4              9785  listmsg
             7D4              9785  listmsg.hint
             7F5              97A6  listmsg.hint.offset
             7FD              97AE  ..@90.name
             80C              97BD  ..@220.name
             818              97C9  ..@228.name
             824              97D5  ..@240.name
             82D              97DE  ..@248.name
             834              97E5  ..@257.name
             83B              97EC  ..@265.name
             843              97F4  ..@274.name
             84B              97FC  ..@285.name
             85B              980C  ..@504.name
             865              9816  ..@521.name
             882              9833  ..@544.name
             88B              983C  ..@566.name
             898              9849  ..@600.name
             8A3              9854  ..@103.name
             8AD              985E  ..@107.name
             8B6              9867  ..@111.name
             8C6              9877  ..@127.name
             8D1              9882  ..@132.name
             8DA              988B  ..@140.name
             8F0              98A1  ..@165.name
             900              98B1  ..@183.name
             910              98C1  ..@189.name
             91B              98CC  ..@195.name
             92E              98DF  ..@200.name
             93E              98EF  ..@204.name
             94D              98FE  ..@292.name
             95B              990C  ..@306.name
             966              9917  ..@314.name
             974              9925  ..@322.name
             983              9934  ..@534.name
             994              9945  ..@549.name
             9B9              996A  ..@584.name
             9CA              997B  ..@588.name
             9E2              9993  lmsg
             9E2              9993  lmsg.warning_data_optional
             A04              99B5  lmsg.error_data
             A1D              99CE  lmsg.error_code
             A36              99E7  lmsg.error.2

---- Section DATA -------------------------------------------------------------

Real              Virtual           Name
             A50              8000  datastart
             A50              8000  msg
             A50              8000  msg.history
             A58              8008  msg.clear
             A5E              800E  msg.show
             A63              8013  msg.uninstall_done
             A82              8032  msg.uninstall_error
             AA9              8059  msg.history_none
             ACB              807B  msg.history_unknown
             AE7              8097  msg.history_missing
             B20              80D0  uinit_data
             B20              80D0  msg.help
             BE3              8193  msg.installed
             C00              81B0  init_data_end
             B20              80D0  history_data_entry
             B30              80E0  uinit_data_end
             B30              80E0  resident_data_end

---- Section relocatedzero ----------------------------------------------------

Real              Virtual           Name
               0                 0  relocatedzero

---- Section RELOCATEDDATA ----------------------------------------------------

Real              Virtual           Name
            8000              8000  relocateddata

